WhatsNext:AddConditionalStatement("Soul Shards",{
	category = "Warlock",
	test = function(checkTable) 
		return tonumber(checkTable.amount) <= UnitPower("player" ,7)
	end,
	text = function(checkTable) 
		return "player has at least " .. tostring(checkTable.amount) .. " soul shards."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Burning Embers",{
	category = "Warlock",
	test = function(checkTable) 
		return tonumber(checkTable.amount) <= UnitPower("player" ,14)
	end,
	text = function(checkTable) 
		return "player has at least " .. tostring(checkTable.amount) .. " burning embers."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Demonic Fury",{
	category = "Warlock",
	test = function(checkTable) 
		return tonumber(checkTable.amount) <= UnitPower("player" ,15)
	end,
	text = function(checkTable) 
		return "player has at least " .. tostring(checkTable.amount) .. " demonic fury."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})
